﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight.Messaging;


namespace XamDataTreeEx
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            bool b = false;

            try
            {
                CompareBillingVM vm = null;
                vm = new CompareBillingVM(13, 1, 1, Environment.MachineName);

                if (vm.Exception == null)
                {
                    App.Current.Dispatcher.Invoke((Action)delegate()
                    {
                        Tree control = new Tree();
                        GenericDialog dlg = new GenericDialog(vm);

                        //dlg.ResizeMode = ResizeMode.NoResize;
                        //dlg.SizeToContent = SizeToContent.Width;
                        dlg.Height = 450;
                        dlg.Width = 825;
                        dlg.MinHeight = 400;
                        //dlg.MaxHeight = 625;
                        dlg.MinWidth = 825;
                        //dlg.MaxWidth = 800;

                       
                        dlg.Content = control;

                        ////Pause the process time after load is complete, so timer doesn't run while waiting for user entry
                        ////Process timer should be re-started when user closes window by clicking Apply or Cancel
                        Messenger.Default.Send<bool>(true, "StopWatch");

                        dlg.ShowDialog();

                        ////User has closed Compare window, restart the timer now
                        Messenger.Default.Send<bool>(false, "StopWatch");

                        if (vm.Exception != null)
                        {
                            throw vm.Exception;
                        }
                        else
                        {
                            b = vm.IsApply;
                        }
                    });
                }
                else
                {
                    throw vm.Exception;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
    }
}
